package com.fjhx.sale.service.sample;

import com.fjhx.sale.entity.sample.dto.SampleProjectDto;
import com.fjhx.sale.entity.sample.dto.SampleProjectSelectDto;
import com.fjhx.sale.entity.sample.po.SampleProject;
import com.fjhx.sale.entity.sample.vo.SampleProjectVo;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;


/**
 * <p>
 * 样品单-收费项目 服务类
 * </p>
 *
 * @author 
 * @since 2023-05-05
 */
public interface SampleProjectService extends BaseService<SampleProject> {

    /**
     * 样品单-收费项目分页
     */
    Page<SampleProjectVo> getPage(SampleProjectSelectDto dto);

    /**
     * 样品单-收费项目明细
     */
    SampleProjectVo detail(Long id);

    /**
     * 样品单-收费项目新增
     */
    void add(SampleProjectDto sampleProjectDto);

    /**
     * 样品单-收费项目编辑
     */
    void edit(SampleProjectDto sampleProjectDto);

    /**
     * 样品单-收费项目删除
     */
    void delete(Long id);

}
